For the complete documentation index, see llms.txt. This page is also available as Markdown.

Incident Postmortems

Get the postmortems of an incident.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the incident

Responses
200

the postmortems of the incident

application/json
idinteger · int64Read-onlyOptional
statusstring · enumRead-onlyOptional

the generation status of the postmortem

Possible values:
titlestringOptional
editorialStatusstring · enumOptionalPossible values:
visibilitystring · enumOptionalPossible values:
markdownUrlstring · uriOptional

Location of the generated postmortem document.

linkUrlstring · uriOptional

Link to an externally hosted postmortem document.

markdownContentstringOptional

This is an include field, it is not returned unless requested via the include query parameter

errorMessagestringRead-onlyOptional

Set when the status is ERROR.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
get/incidents/{id}/postmortems
GET /api/incidents/{id}/postmortems HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the postmortems of the incident

[
  {
    "id": 1,
    "status": "NONE",
    "title": "text",
    "editorialStatus": "AI_DRAFT",
    "visibility": "NONE",
    "markdownUrl": "https://example.com",
    "linkUrl": "https://example.com",
    "markdownContent": "text",
    "errorMessage": "text",
    "creator": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "incident": {
      "id": 1,
      "number": 1,
      "title": "text",
      "summary": "text",
      "status": "DECLARED",
      "severity": 1,
      "declaredAt": "2026-01-01T00:00:00.000Z",
      "resolvedAt": "2026-01-01T00:00:00.000Z",
      "declaredBy": {
        "id": 1,
        "firstName": "text",
        "lastName": "text",
        "email": "text",
        "timezone": "Europe/Berlin",
        "position": "text",
        "department": "text",
        "avatarUrl": "text",
        "language": "de",
        "region": "DE",
        "role": "STAKEHOLDER",
        "shiftColor": "text",
        "mutedUntil": "2026-01-01T00:00:00.000Z",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "resolvedBy": {
        "id": 1,
        "firstName": "text",
        "lastName": "text",
        "email": "text",
        "timezone": "Europe/Berlin",
        "position": "text",
        "department": "text",
        "avatarUrl": "text",
        "language": "de",
        "region": "DE",
        "role": "STAKEHOLDER",
        "shiftColor": "text",
        "mutedUntil": "2026-01-01T00:00:00.000Z",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "channel": {
        "id": "text",
        "name": "text",
        "type": "SLACK",
        "href": "https://example.com",
        "groupId": "text",
        "isPrivate": true
      },
      "conferenceBridge": {
        "type": "ZOOM",
        "href": "https://example.com",
        "id": "text",
        "dialIn": "text"
      },
      "affectedServices": [
        {
          "impact": "OPERATIONAL",
          "service": {
            "id": 1,
            "name": "text",
            "alias": "text",
            "status": "OPERATIONAL",
            "description": "text",
            "oneOpenIncidentOnly": true,
            "showUptimeHistory": true,
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ],
            "managedBy": {
              "type": "API",
              "source": "text"
            },
            "publicStatus": "OPERATIONAL",
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "iconUrl": "text",
            "links": [
              {
                "href": "https://example.com",
                "text": "text"
              }
            ],
            "createdBy": {
              "type": "API",
              "source": "text"
            }
          }
        }
      ],
      "responders": [
        {
          "user": {
            "id": 1,
            "firstName": "text",
            "lastName": "text",
            "email": "text",
            "timezone": "Europe/Berlin",
            "position": "text",
            "department": "text",
            "avatarUrl": "text",
            "language": "de",
            "region": "DE",
            "role": "STAKEHOLDER",
            "shiftColor": "text",
            "mutedUntil": "2026-01-01T00:00:00.000Z",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z"
          },
          "status": "ADDED",
          "role": "INCIDENT_COMMANDER",
          "notifiedAt": "2026-01-01T00:00:00.000Z",
          "acceptedAt": "2026-01-01T00:00:00.000Z",
          "declinedAt": "2026-01-01T00:00:00.000Z",
          "pagedByUserId": 1
        }
      ],
      "alertCount": 1,
      "responderCountJoined": 1,
      "responderCountTotal": 1
    },
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  }
]

Request the generation of a postmortem for an incident.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the incident

Query parameters
overwritebooleanOptional

replace an already existing postmortem of the incident

Default: false
Body
impactstringOptional
rootCausestringOptional
actionItemsstringOptional
chatTranscriptstringOptional
visibilitystring · enumOptionalPossible values:
timezonestringOptional

IANA timezone name used for dates in the generated document, for example Europe/Berlin.

languagestringOptional

Language of the generated document, for example en or de.

Responses
201

the requested postmortem

application/json
idinteger · int64Read-onlyOptional
statusstring · enumRead-onlyOptional

the generation status of the postmortem

Possible values:
titlestringOptional
editorialStatusstring · enumOptionalPossible values:
visibilitystring · enumOptionalPossible values:
markdownUrlstring · uriOptional

Location of the generated postmortem document.

linkUrlstring · uriOptional

Link to an externally hosted postmortem document.

markdownContentstringOptional

This is an include field, it is not returned unless requested via the include query parameter

errorMessagestringRead-onlyOptional

Set when the status is ERROR.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
post/incidents/{id}/postmortems
POST /api/incidents/{id}/postmortems HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 293

{
  "alerts": [
    {
      "id": 1
    }
  ],
  "deployments": [
    {
      "id": 1
    }
  ],
  "channels": [
    {
      "id": "text",
      "type": "SLACK",
      "groupId": "text",
      "isPrivate": true,
      "fromEpochSec": 1,
      "untilEpochSec": 1
    }
  ],
  "impact": "text",
  "rootCause": "text",
  "actionItems": "text",
  "chatTranscript": "text",
  "visibility": "NONE",
  "timezone": "text",
  "language": "text"
}
201

the requested postmortem

{
  "id": 1,
  "status": "NONE",
  "title": "text",
  "editorialStatus": "AI_DRAFT",
  "visibility": "NONE",
  "markdownUrl": "https://example.com",
  "linkUrl": "https://example.com",
  "markdownContent": "text",
  "errorMessage": "text",
  "creator": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "incident": {
    "id": 1,
    "number": 1,
    "title": "text",
    "summary": "text",
    "status": "DECLARED",
    "severity": 1,
    "declaredAt": "2026-01-01T00:00:00.000Z",
    "resolvedAt": "2026-01-01T00:00:00.000Z",
    "declaredBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "resolvedBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "channel": {
      "id": "text",
      "name": "text",
      "type": "SLACK",
      "href": "https://example.com",
      "groupId": "text",
      "isPrivate": true
    },
    "conferenceBridge": {
      "type": "ZOOM",
      "href": "https://example.com",
      "id": "text",
      "dialIn": "text"
    },
    "affectedServices": [
      {
        "impact": "OPERATIONAL",
        "service": {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          }
        }
      }
    ],
    "responders": [
      {
        "user": {
          "id": 1,
          "firstName": "text",
          "lastName": "text",
          "email": "text",
          "timezone": "Europe/Berlin",
          "position": "text",
          "department": "text",
          "avatarUrl": "text",
          "language": "de",
          "region": "DE",
          "role": "STAKEHOLDER",
          "shiftColor": "text",
          "mutedUntil": "2026-01-01T00:00:00.000Z",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "status": "ADDED",
        "role": "INCIDENT_COMMANDER",
        "notifiedAt": "2026-01-01T00:00:00.000Z",
        "acceptedAt": "2026-01-01T00:00:00.000Z",
        "declinedAt": "2026-01-01T00:00:00.000Z",
        "pagedByUserId": 1
      }
    ],
    "alertCount": 1,
    "responderCountJoined": 1,
    "responderCountTotal": 1
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Get a postmortem of an incident.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the incident

pIdinteger · int64Required

the id of the postmortem

Responses
200

the postmortem

application/json
idinteger · int64Read-onlyOptional
statusstring · enumRead-onlyOptional

the generation status of the postmortem

Possible values:
titlestringOptional
editorialStatusstring · enumOptionalPossible values:
visibilitystring · enumOptionalPossible values:
markdownUrlstring · uriOptional

Location of the generated postmortem document.

linkUrlstring · uriOptional

Link to an externally hosted postmortem document.

markdownContentstringOptional

This is an include field, it is not returned unless requested via the include query parameter

errorMessagestringRead-onlyOptional

Set when the status is ERROR.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
get/incidents/{id}/postmortems/{pId}
GET /api/incidents/{id}/postmortems/{pId} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the postmortem

{
  "id": 1,
  "status": "NONE",
  "title": "text",
  "editorialStatus": "AI_DRAFT",
  "visibility": "NONE",
  "markdownUrl": "https://example.com",
  "linkUrl": "https://example.com",
  "markdownContent": "text",
  "errorMessage": "text",
  "creator": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "incident": {
    "id": 1,
    "number": 1,
    "title": "text",
    "summary": "text",
    "status": "DECLARED",
    "severity": 1,
    "declaredAt": "2026-01-01T00:00:00.000Z",
    "resolvedAt": "2026-01-01T00:00:00.000Z",
    "declaredBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "resolvedBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "channel": {
      "id": "text",
      "name": "text",
      "type": "SLACK",
      "href": "https://example.com",
      "groupId": "text",
      "isPrivate": true
    },
    "conferenceBridge": {
      "type": "ZOOM",
      "href": "https://example.com",
      "id": "text",
      "dialIn": "text"
    },
    "affectedServices": [
      {
        "impact": "OPERATIONAL",
        "service": {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          }
        }
      }
    ],
    "responders": [
      {
        "user": {
          "id": 1,
          "firstName": "text",
          "lastName": "text",
          "email": "text",
          "timezone": "Europe/Berlin",
          "position": "text",
          "department": "text",
          "avatarUrl": "text",
          "language": "de",
          "region": "DE",
          "role": "STAKEHOLDER",
          "shiftColor": "text",
          "mutedUntil": "2026-01-01T00:00:00.000Z",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "status": "ADDED",
        "role": "INCIDENT_COMMANDER",
        "notifiedAt": "2026-01-01T00:00:00.000Z",
        "acceptedAt": "2026-01-01T00:00:00.000Z",
        "declinedAt": "2026-01-01T00:00:00.000Z",
        "pagedByUserId": 1
      }
    ],
    "alertCount": 1,
    "responderCountJoined": 1,
    "responderCountTotal": 1
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Update a postmortem of an incident.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the incident

pIdinteger · int64Required

the id of the postmortem

Body
idinteger · int64Read-onlyOptional
statusstring · enumRead-onlyOptional

the generation status of the postmortem

Possible values:
titlestringOptional
editorialStatusstring · enumOptionalPossible values:
visibilitystring · enumOptionalPossible values:
markdownUrlstring · uriOptional

Location of the generated postmortem document.

linkUrlstring · uriOptional

Link to an externally hosted postmortem document.

markdownContentstringOptional

This is an include field, it is not returned unless requested via the include query parameter

errorMessagestringRead-onlyOptional

Set when the status is ERROR.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
Responses
200

the updated postmortem

application/json
idinteger · int64Read-onlyOptional
statusstring · enumRead-onlyOptional

the generation status of the postmortem

Possible values:
titlestringOptional
editorialStatusstring · enumOptionalPossible values:
visibilitystring · enumOptionalPossible values:
markdownUrlstring · uriOptional

Location of the generated postmortem document.

linkUrlstring · uriOptional

Link to an externally hosted postmortem document.

markdownContentstringOptional

This is an include field, it is not returned unless requested via the include query parameter

errorMessagestringRead-onlyOptional

Set when the status is ERROR.

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
put/incidents/{id}/postmortems/{pId}
PUT /api/incidents/{id}/postmortems/{pId} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1835

{
  "title": "text",
  "editorialStatus": "AI_DRAFT",
  "visibility": "NONE",
  "markdownUrl": "https://example.com",
  "linkUrl": "https://example.com",
  "markdownContent": "text",
  "incident": {
    "title": "text",
    "summary": "text",
    "status": "DECLARED",
    "severity": 1,
    "declaredBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "resolvedBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "channel": {
      "id": "text",
      "name": "text",
      "type": "SLACK",
      "href": "https://example.com",
      "groupId": "text",
      "isPrivate": true
    },
    "conferenceBridge": {
      "type": "ZOOM",
      "href": "https://example.com",
      "id": "text",
      "dialIn": "text"
    },
    "affectedServices": [
      {
        "impact": "OPERATIONAL",
        "service": {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ]
        }
      }
    ],
    "responders": [
      {
        "user": {
          "id": 1,
          "firstName": "text",
          "lastName": "text",
          "email": "text",
          "timezone": "Europe/Berlin",
          "position": "text",
          "department": "text",
          "language": "de",
          "region": "DE",
          "role": "STAKEHOLDER",
          "shiftColor": "text",
          "mutedUntil": "2026-01-01T00:00:00.000Z",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "role": "INCIDENT_COMMANDER"
      }
    ]
  }
}
200

the updated postmortem

{
  "id": 1,
  "status": "NONE",
  "title": "text",
  "editorialStatus": "AI_DRAFT",
  "visibility": "NONE",
  "markdownUrl": "https://example.com",
  "linkUrl": "https://example.com",
  "markdownContent": "text",
  "errorMessage": "text",
  "creator": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "timezone": "Europe/Berlin",
    "position": "text",
    "department": "text",
    "avatarUrl": "text",
    "language": "de",
    "region": "DE",
    "role": "STAKEHOLDER",
    "shiftColor": "text",
    "mutedUntil": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "incident": {
    "id": 1,
    "number": 1,
    "title": "text",
    "summary": "text",
    "status": "DECLARED",
    "severity": 1,
    "declaredAt": "2026-01-01T00:00:00.000Z",
    "resolvedAt": "2026-01-01T00:00:00.000Z",
    "declaredBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "resolvedBy": {
      "id": 1,
      "firstName": "text",
      "lastName": "text",
      "email": "text",
      "timezone": "Europe/Berlin",
      "position": "text",
      "department": "text",
      "avatarUrl": "text",
      "language": "de",
      "region": "DE",
      "role": "STAKEHOLDER",
      "shiftColor": "text",
      "mutedUntil": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "channel": {
      "id": "text",
      "name": "text",
      "type": "SLACK",
      "href": "https://example.com",
      "groupId": "text",
      "isPrivate": true
    },
    "conferenceBridge": {
      "type": "ZOOM",
      "href": "https://example.com",
      "id": "text",
      "dialIn": "text"
    },
    "affectedServices": [
      {
        "impact": "OPERATIONAL",
        "service": {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          }
        }
      }
    ],
    "responders": [
      {
        "user": {
          "id": 1,
          "firstName": "text",
          "lastName": "text",
          "email": "text",
          "timezone": "Europe/Berlin",
          "position": "text",
          "department": "text",
          "avatarUrl": "text",
          "language": "de",
          "region": "DE",
          "role": "STAKEHOLDER",
          "shiftColor": "text",
          "mutedUntil": "2026-01-01T00:00:00.000Z",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "status": "ADDED",
        "role": "INCIDENT_COMMANDER",
        "notifiedAt": "2026-01-01T00:00:00.000Z",
        "acceptedAt": "2026-01-01T00:00:00.000Z",
        "declinedAt": "2026-01-01T00:00:00.000Z",
        "pagedByUserId": 1
      }
    ],
    "alertCount": 1,
    "responderCountJoined": 1,
    "responderCountTotal": 1
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Delete a postmortem of an incident.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the incident

pIdinteger · int64Required

the id of the postmortem

Responses
204

no content

No content

delete/incidents/{id}/postmortems/{pId}
DELETE /api/incidents/{id}/postmortems/{pId} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

no content

No content

Last updated

Was this helpful?